Inhalte
Index 🔎︎

# Funktion InStr

Gibt die Position einer vorhandenen Zeichenkette in einem anderen Zeichenkettenausdruck zurück.

Die Funktion InStr gibt die Position des Zeichens zurück, ab dem die gesuchte Zeichenkette in der zu durchsuchenden Zeichenkette enthalten ist. Ist die gesuchte Zeichenkette dort nicht enthalten, wird der Wert 0 zurückgegeben.

## Syntax:

    InStr ([Anfang As Integer,] Text1 As String, Text2 As String[, Vergleich])

## Rückgabewert:

Integer

## Parameter:

Anfang: Ein numerischer Ausdruck, der die Position in einer Zeichenfolge markiert, an welcher die Suche nach der angegebenen Teilzeichenfolge beginnt. Wenn Sie diesen Parameter weglassen, beginnt die Suche beim ersten Zeichen der Zeichenfolge. Der zulässige Mindestwert ist 1. Der zulässige Höchstwert ist 2.147.483.648.

Text1: Der zu durchsuchende Zeichenkettenausdruck.

Text2: Der zu suchende Zeichenkettenausdruck.

Vergleich: Optionaler, numerischer Ausdruck, der die Art des Zeichenkettenvergleichs bestimmt. Dem Parameter kann der Wert 0 oder 1 zugewiesen werden. Die Voreinstellung 0 führt zu einem binären Vergleich, der Wert 1 zu einem Textvergleich ohne Berücksichtigung der Groß- und Kleinschreibung.

To avoid a run-time error, do not set the Compare parameter if the first optional parameter is omitted.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

## Beispiel:

    Sub ExamplePosition
    Dim sInput As String
    Dim iPos As Integer
        sInput = "Star Office"
        iPos = Instr(sInput,"v")
        Print iPos
    End Sub